complexType "GeneralTerms"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 14 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | effectiveDate?, scheduledTerminationDate?, (buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?)?, buyerConvention?, dateAdjustments?, (referenceInformation | indexReferenceInformation | basketReferenceInformation)?, additionalTerm*, substitution?, modifiedEquityDelivery?
</...>

Content Model Elements (14):

  additionalTerm, basketReferenceInformation, buyerAccountReference, buyerConvention, buyerPartyReference (defined in BuyerSeller.model group), dateAdjustments (in generalTerms), effectiveDate (in generalTerms), | indexReferenceInformation, modifiedEquityDelivery, referenceInformation, scheduledTerminationDate, sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group), substitution

All Direct / Indirect Based Elements (1):

  generalTerms

Known Usage Locations

- As direct type of elements (1):
  generalTerms

XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="GeneralTerms"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/> <xsd:element minOccurs="0" name="scheduledTerminationDate" type="AdjustableDate2"/> <xsd:group minOccurs="0" ref="BuyerSeller.model"/> <!--IY: ETTF pretrade IRS and CDS--> <xsd:element minOccurs="0" name="buyerConvention" type="BuyerConventionEnum"/> <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/> <xsd:choice minOccurs="0"> <xsd:element name="referenceInformation" type="ReferenceInformation"/> <xsd:element name="indexReferenceInformation" type="IndexReferenceInformation"/> <xsd:element name="basketReferenceInformation" type="BasketReferenceInformation"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalTerm" type="AdditionalTerm"/> <xsd:element minOccurs="0" name="substitution" type="xsd:boolean"/> <xsd:element minOccurs="0" name="modifiedEquityDelivery" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 10/14)
additionalTerm

  Type: | AdditionalTerm, simple content

  This element is used for representing information contained in the Additional Terms field of the 2003 Master Credit Derivatives confirm.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalTerm" type="AdditionalTerm"/>

basketReferenceInformation

  Type: | BasketReferenceInformation, complex content

  This element contains all the terms relevant to defining the Credit Default Swap Basket.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="basketReferenceInformation" type="BasketReferenceInformation"/>

buyerConvention

  Type: | BuyerConventionEnum, simple content

  The purpose of this element is to disambiguate whether the buyer of the product effectively buys protection or whether he buys risk (and, hence, sells protection) in the case, such as high yields instruments, where no firm standard appears to exist at the execution level.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Protection" | - | the buyer of the product effectively buys protection. See: http://www.FpML.org
  "Risk" | - | the buyer of the product effectively buys risk (and, hence, sells protection). See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="buyerConvention" type="BuyerConventionEnum"/>

dateAdjustments

  Type: | BusinessDayAdjustments, complex content

  ISDA 2003 Terms: Business Day and Business Day Convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/>

effectiveDate

  Type: | AdjustableDate2, complex content

  The first day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention. ISDA 2003 Term: Effective Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/>

indexReferenceInformation

  Type: | IndexReferenceInformation, complex content

  This element contains all the terms relevant to defining the Credit DefaultSwap Index.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="indexReferenceInformation" type="IndexReferenceInformation"/>

modifiedEquityDelivery

  Type: | xsd:boolean, predefined, simple content

  Value of this element set to 'true' indicates that modified equity delivery is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="modifiedEquityDelivery" type="xsd:boolean"/>

referenceInformation

  Type: | ReferenceInformation, complex content

  This element contains all the terms relevant to defining the reference entity and reference obligation(s).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="referenceInformation" type="ReferenceInformation"/>

scheduledTerminationDate

  Type: | AdjustableDate2, complex content

  The scheduled date on which the credit protection will lapse. This day may be subject to adjustment in accordance with a business day convention. ISDA 2003 Term: Scheduled Termination Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="scheduledTerminationDate" type="AdjustableDate2"/>

substitution

  Type: | xsd:boolean, predefined, simple content

  Value of this element set to 'true' indicates that substitution is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="substitution" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.